Package fr.gouv.vitam.functionaltest.cucumber.step

# Class IngestStep

java.lang.Object
fr.gouv.vitam.functionaltest.cucumber.step.CommonStep
fr.gouv.vitam.functionaltest.cucumber.step.IngestStep

public class IngestStep extends CommonStep

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `CommonStep.MyRunnable`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `_ID`
  `static final String`
  `ID`

  ### Fields inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `world`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IngestStep(World world)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `a_sip_named(String fileName)`
  define a sip
  `void`
  `afterScenario()`
  `void`
  `build_the_attachenment_by_key_value(String metadataName, String metadataValue)`
  `void`
  `build_the_attachenment_by_systemid()`
  `void`
  `build_the_attachenment_to_existing_object_group()`
  `void`
  `upload_this_plan()`
  call vitam to upload the plan
  `void`
  `upload_this_sip()`
  call vitam to upload the SIP
  `void`
  `upload_this_tree()`
  call vitam to upload the tree
  `void`
  `use_test_set_from_sip(String fileName)`
  Execute an ingest OK and saves the operationId in test set map.

  ### Methods inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `checkOperationStatus, runInVitamThread`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ID

    public static final String ID
    See Also:
      - Constant Field Values

  - ### _ID

    public static final String _ID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### IngestStep

    public IngestStep(World world)

- ## Method Details

  - ### a_sip_named

    @Given("^un fichier SIP nomm\u00e9 (.*)$") public void a_sip_named(String fileName)
    define a sip
    Parameters:
      `fileName` - name of a sip

  - ### upload_this_sip

    @When("^je t\u00e9l\u00e9charge le SIP$") public void upload_this_sip() throws VitamException, IOException
    call vitam to upload the SIP
    Throws:
      `IOException`
      `IngestExternalException`
      `VitamException`

  - ### upload_this_plan

    @When("^je t\u00e9l\u00e9charge le plan") public void upload_this_plan() throws IOException, VitamException
    call vitam to upload the plan
    Throws:
      `IOException`
      `IngestExternalException`
      `VitamException`

  - ### upload_this_tree

    @When("^je t\u00e9l\u00e9charge l\'arbre") public void upload_this_tree() throws IOException, VitamException
    call vitam to upload the tree
    Throws:
      `IOException`
      `IngestExternalException`
      `VitamException`

  - ### build_the_attachenment_by_systemid

    @When("je construit le sip de rattachement avec le template") public void build_the_attachenment_by_systemid() throws IOException
    Throws:
      `IOException`

  - ### build_the_attachenment_by_key_value

    @When("j\'utilise le template et construit un sip de rattachement avec comme nom et valeur de m\u00e9tadonn\u00e9e (.*) et (.*)$") public void build_the_attachenment_by_key_value(String metadataName, String metadataValue) throws IOException
    Throws:
      `IOException`

  - ### build_the_attachenment_to_existing_object_group

    @When("je construit le SIP de rattachement au groupe d\'objet existant avec le template") public void build_the_attachenment_to_existing_object_group() throws IOException
    Throws:
      `IOException`

  - ### use_test_set_from_sip

    @Given("^les donn\u00e9es du jeu de test du SIP nomm\u00e9 (.*)") public void use_test_set_from_sip(String fileName)
    Execute an ingest OK and saves the operationId in test set map.
    Parameters:
      `fileName` - name of a sip

  - ### afterScenario

    public void afterScenario() throws IOException
    Throws:
      `IOException`